Mesa (master): tools/trace: Simple script to compare two traces.

Jose Fonseca jrfonseca at kemper.freedesktop.org
Fri Sep 20 16:48:04 UTC 2013


Module: Mesa
Branch: master
Commit: 75c394f5670125aa5eabdcbeecf83f163806238d
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=75c394f5670125aa5eabdcbeecf83f163806238d

Author: José Fonseca <jfonseca at vmware.com>
Date:   Wed Sep 18 20:00:50 2013 +0100

tools/trace: Simple script to compare two traces.

Based on the earlier apitrace tracediff.sh script.

---

 src/gallium/tools/trace/tracediff.sh |   66 ++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

diff --git a/src/gallium/tools/trace/tracediff.sh b/src/gallium/tools/trace/tracediff.sh
new file mode 100755
index 0000000..c7827c0
--- /dev/null
+++ b/src/gallium/tools/trace/tracediff.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+##########################################################################
+#
+# Copyright 2011 Jose Fonseca
+# All Rights Reserved.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+#
+##########################################################################/
+
+set -e
+
+TRACEDUMP=${TRACEDUMP:-`dirname "$0"`/dump.py}
+
+stripdump () {
+	python $TRACEDUMP "$1" \
+	| sed \
+		-e 's@ // time .*@@' \
+		-e 's/\x1b\[[0-9]\{1,2\}\(;[0-9]\{1,2\}\)\{0,2\}m//g' \
+		-e '/pipe_screen::is_format_supported/d' \
+		-e '/pipe_screen::get_\(shader_\)\?paramf\?/d' \
+		-e 's/\r$//g' \
+		-e 's/^[0-9]\+ //' \
+		-e 's/pipe = \w\+/pipe/g' \
+		-e 's/screen = \w\+/screen/g' \
+		-e 's/, /,\n\t/g' \
+	-e 's/) = /)\n\t= /' \
+	> "$2"
+	echo \
+		-e 's/\<0x[0-9a-fA-F]\+\>/xxx/g' \
+	> /dev/null
+}
+
+FIFODIR=`mktemp -d`
+FIFO1="$FIFODIR/1"
+FIFO2="$FIFODIR/2"
+
+mkfifo "$FIFO1"
+mkfifo "$FIFO2"
+
+stripdump "$1" "$FIFO1" &
+stripdump "$2" "$FIFO2" &
+
+sdiff \
+	--width=`tput cols` \
+	--speed-large-files \
+	"$FIFO1" "$FIFO2" \
+| less
+
+rm -rf "$FIFODIR"




More information about the mesa-commit mailing list